        !COMPILER-GENERATED INTERFACE MODULE: Tue Mar 14 11:01:28 2017
        MODULE INFR_mod
          INTERFACE 
            SUBROUTINE INFR(IMX1,FAVE,CI,TEMPCI,INFLX,DT)
              INTEGER(KIND=4) :: IMX1
              REAL(KIND=8) :: FAVE(IMX1)
              REAL(KIND=8) :: CI(IMX1)
              REAL(KIND=8) :: TEMPCI(IMX1)
              REAL(KIND=8) :: INFLX(IMX1)
              REAL(KIND=8) :: DT
            END SUBROUTINE INFR
          END INTERFACE 
        END MODULE INFR_mod
